<template>
    <div class="parent">
        <div class="loader" :style="Style">
            <Pic :src="Src" :relative="true" type="b"></Pic>
            <div>Loading please wait...</div>
        </div>
    </div>
</template>

<style lang='scss' scoped>
    .parent {
        position: relative;
    }

    .loader {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        display: inline-block;

        font-family: Roboto, sans-serif;
        font-size: 20px;
        text-align: center;
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	import Pic from "./Pic.vue";
	import loader from "../assets/loader.svg";
	
	@Component({
		components: {Pic},
		props: {
			s: Number
		}
	})
	export default class Loader extends Vue {
		private src: string = loader;
		private s?: number;

		get Style() {
			return {

				width: `${this.s!}px`,
				height: `${this.s!}px`,
			}
		}

		get Src(): string {
			return this.src;
		}
	}
</script>
